--instantiate functions
--local SetupOptions
----

function BK_OptionsLoad(panel)
	SlashCmdList["BADKITTY"] = BK_Slashes
	SLASH_BADKITTY1 = "/badkitty"
	SLASH_BADKITTY2 = "/bk"
	panel.name = "BadKitty"
	InterfaceOptions_AddCategory(panel)
	--BK_LoadChild(_G["BKOptionsWarning"],"Warning Options")
	--SetupOptions()
end

function BK_LoadChild(panel,name)	--Only for children!
	panel.name = name
	panel.parent = "BadKitty"
	InterfaceOptions_AddCategory(panel)
end

function BK_Slashes(msg)
	if msg=="lock" or msg=="move" then
		BK_Move()
	else
		BK_OpenOptions() 
	end
end

function BK_OpenOptions()
	InterfaceOptionsFrame_OpenToCategory(BKOptionsWarning) --so the tabs are expanded when opened
	InterfaceOptionsFrame_OpenToCategory(BKOptions)
end

function BK_SetupOptions() --it's local (but not right now)
	--Main Window--
	--Warning Window--
	BKOptionsWarningCatToggle:ClearAllPoints()
	BKOptionsWarningCatToggle:SetPoint("LEFT",BKOptionsWarning,"LEFT",20,20)
	BKOptionsWarningCatToggle:CreateTexture("BKOptionsWarningCatToggleText","OVERLAY")
	BKOptionsWarningCatToggleText:SetText("Cat Warnings")
	
	--[[BKOptionsWarningAlpha:ClearAllPoints()
	BKOptionsWarningAlpha:SetPoint("LEFT",BKOptionsWarning,"LEFT",100,20)
	BKOptionsWarningAlpha:CreateTexture("BKOptionsWarningAlphaText","OVERLAY")
	BKOptionsWarningAlpha:SetWidth(128)
	BKOptionsWarningAlpha:SetHeight(16)
	BKOptionsWarningAlphaText:SetText("Opacity")]]
	
	BKOptionsWarningSize:ClearAllPoints()
	BKOptionsWarningSize:SetPoint("LEFT",BKOptionsWarning,"LEFT",100,20)
	BKOptionsWarningSize:SetWidth(128)
	BKOptionsWarningSize:SetHeight(16)
	BKOptionsWarningSize:CreateTexture("BKOptionsWarningSizeText","ARTWORK")
	BKOptionsWarningSizeText:ClearAllPoints()
	BKOptionsWarningSizeText:SetPoint("LEFT",BKOptionsWarningSize,"LEFT",40,0)
	--BKOptionsWarningSizeText:SetText("1234567890abcdefghijklmnopqrstuvwxyz")
	
	--Bar Window--
	CreateFrame("CheckButton","CatBarToggle",BKOptionsBar,CBBTemplate)
	--CatBarToggle:SetWidth(20)
	--CatBarToggle:SetHeight(20)
	--CatWarningToggle:ClearAllPoints()
	CatBarToggle:SetPoint("LEFT",BKBarWarning,"LEFT",20,20)
	
	BKOptionsWarningCatToggle:Hide()
	BKOptionsWarningSize:Hide()
end

BKtwopointzero = "This is a super mega alpha version of BadKitty 2.  It's missing a lot, \
but everything presently implemented should work.\
\
This includes:\
-Full warning and bar tracking of Mangle/Trauma/Hemorrhage,\
Savage Roar, Berserk, Tiger's Fury, Faerie Fire, Rake, Rip,\
and Omen of Clarity.\
-Situationally-changing bar order\
-Frame movement\
\
The following things DON'T work yet:\
-Changing the order of Warnings\
-Ravage and Stampede\
-The Shred Glyph\
-Warning layout\
-Warning and Bar size\
-Bar locking (like the old BadKitty)\
-Font size and color adjustment for every frame\
-Bar color adjustment\
-Bear functionality\
-All other options I haven't mentioned\
\
I'll be working on getting everything back in over the \
next few weeks.  I really appreciate the positive feedback\
I've been receiving, and apologize for making you wait.\
\
--Anatinus\
\
PS: Oh, and as always, if you have a comment or suggestion,\
send it my way ;)"

